php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #56182 APD install through pear install fails on config.sub
Submitted: 2004-08-29 19:35 UTC Modified: 2013-02-18 00:35 UTC
From: loop at superinfinite dot com Assigned:
Status: No Feedback Package: apd (PECL)
PHP Version: 5.0.0b1 (beta1) OS: Mac OS 10.3.5 (build 7M34)
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: loop at superinfinite dot com
New email:
PHP Version: OS:

 

 [2004-08-29 19:35 UTC] loop at superinfinite dot com
Description:
------------
PHP 5 is installed through the binary from http://www.entropy.ch/
software/macosx/php/
But when I try to install apd through pear, using either pear install (1), or 
./configure (2), it fails on config.sub

(1):
sudo /usr/local/php5/bin/pear install apd
downloading apd-1.0.tgz ...
Starting to download apd-1.0.tgz (36,194 bytes)
.........done: 36,194 bytes
14 source files, building
running: phpize
/usr/bin/phpize: line 44: libtoolize: command not found
Configuring for:
  PHP Api Version:   20020918
  Zend Module Api No:   20020429
  Zend Extension Api No:   20021010
building in /var/tmp/pear-build-root/apd-1.0
running: /private/tmp/tmp564zjw/apd-1.0/configure
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking whether gcc and cc understand -c and -o together... yes
checking if compiler supports -R... no
checking if compiler supports -Wl,-rpath,... no
checking for PHP prefix... /usr
checking for PHP includes... -I/usr/include/php -I/usr/include/php/main 
-I/usr/include/php/Zend -I/usr/include/php/TSRM
checking for PHP extension directory... /usr/lib/php/extensions/no-
debug-non-zts-20020429
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking whether to enable apd support... yes, shared
configure: error: cannot run /bin/sh /private/tmp/tmp564zjw/apd-1.0/
config.sub
`/private/tmp/tmp564zjw/apd-1.0/configure' failed

(2):
phpize
./configure                                                                                       
~/Desktop/apd-1.0/
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking whether gcc and cc understand -c and -o together... yes
checking if compiler supports -R... no
checking if compiler supports -Wl,-rpath,... no
checking for PHP prefix... /usr
checking for PHP includes... -I/usr/include/php -I/usr/include/php/main 
-I/usr/include/php/Zend -I/usr/include/php/TSRM
checking for PHP extension directory... /usr/lib/php/extensions/no-
debug-non-zts-20020429
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for gawk... no
checking for mawk... no
checking for nawk... no
checking for awk... awk
checking whether to enable apd support... yes, shared
configure: error: cannot run /bin/sh ./config.sub


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2004-08-29 19:46 UTC] gschlossnagle@php.net
> running: phpize
> /usr/bin/phpize: line 44: libtoolize: command not 
found


Looks like you have a bad/nonexistent libtool.
 [2004-08-29 19:52 UTC] loop at superinfinite dot com
libtool resides happily in /usr/bin/, and this is the 
first time that I've encountered a problem with it...
I don't know which version it is, other than the one 
installed through 10.3.5 and all Software Updates.
 [2004-08-29 20:12 UTC] gschlossnagle@php.net
Try downloading the source tarball of pecl.php.net, and 
installing it with

phpize
./configure --enable-apd
make
make install


and let me know where you error occurs.  Clearly there's 
an issue with your build system somewhere.  Also, I'd 
recommend you build against php 5.0.1.  beta1 is very 
very old, and may have other unforseen problems.
 [2013-02-18 00:35 UTC] pecl-dev at lists dot php dot net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Thu Aug 13 05:01:26 2020 UTC